View Issue Details

IDProjectCategoryView StatusLast Update
0003891TechDraw[FreeCAD] Bugpublic2019-03-10 10:53
ReportermtsincAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformFreeCAD_0.18.15997.glibc2.17-x86OSFedora LinuxOS Version4.20.13-200
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003891: Spreadsheet in TechDraw displays empty cells on load
DescriptionDocument saved/loaded from FreeCAD_0.18.15997.glibc2.17-x86_64.AppImage. Spreadsheet excerpt embedded in TechDraw initially displays with no values in grid.
Steps To Reproduce1. Start FreeCAD
2. Load project containing TechDraw sheets and 2 spreadsheets where selected range from one spreadsheet is embedded in a TechDraw sheet.
3. On selecting that TechDraw for display, cell borders display, but contents are blank.
Additional InformationWorkaround:

1. Go to document tree and select "Mark for recompute" on the embedded spreadsheet element of the TechDraw subtree.
2. Cick the Recompute (Ctrl+R) button
3. Element will refresh with cell values now displayed
Tagsspreadsheet, TechDraw

Activities

mtsinc

2019-03-07 18:29

reporter   ~0012858

Did a full build off commit 00f2bd4e6251adbe878d8f1e6d20b1ff489ffede and confirmed problem still exists.

Additional note: changing a data value on the spreadsheet properly updates the TechDraw spreadsheet object automatically, including filling in the missing values.

Kunda1

2019-03-08 13:37

administrator   ~0012862

@mtsinc thanks, please also post your Help > About FreeCAD > Copy to clipboard info any time you post a new ticket. We also ask that you post to the tracker as a last resort. FreeCAD (per the yellow banner at the top of each tracker page) asks that users post their issues to the forum first. Many times fixes result from this. If not then someone in the community will ask you to open a ticket on the tracker to track the issue and thread.

mtsinc

2019-03-08 14:12

reporter   ~0012864

OS: "Fedora release 29 (Twenty Nine)"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16076 (Git)
Build type: Release
Branch: master
Hash: 00f2bd4e6251adbe878d8f1e6d20b1ff489ffede
Python version: 2.7.15
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.9.1.oce-0.18
Locale: English/UnitedStates (en_US)

wandererfan

2019-03-09 14:10

developer   ~0012869

Confirmed in freecad-daily:
OS: Linux Mint 19
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16079 (Git)
Build type: Release
Branch: master
Hash: 6363c90a20b296ab69d7b52230009928199d90df
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)

wmayer

2019-03-10 10:53

administrator   ~0012874

https://github.com/FreeCAD/FreeCAD/commit/ba6092502cef31ac5d5f1ce5d23ffaa03378478d

Issue History

Date Modified Username Field Change
2019-03-07 14:57 mtsinc New Issue
2019-03-07 14:57 mtsinc Tag Attached: spreadsheet
2019-03-07 14:57 mtsinc Tag Attached: TechDraw
2019-03-07 18:29 mtsinc Note Added: 0012858
2019-03-08 13:37 Kunda1 Note Added: 0012862
2019-03-08 14:12 mtsinc Note Added: 0012864
2019-03-09 14:10 wandererfan Assigned To => wandererfan
2019-03-09 14:10 wandererfan Status new => confirmed
2019-03-09 14:10 wandererfan Note Added: 0012869
2019-03-10 10:53 wmayer Status confirmed => closed
2019-03-10 10:53 wmayer Resolution open => fixed
2019-03-10 10:53 wmayer Fixed in Version => 0.18
2019-03-10 10:53 wmayer Note Added: 0012874